This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 895662 - [abrt] blueman-1.23-5.fc18: DeviceList.py:445:DiscoverDevices:AttributeError: 'NoneType' object has no attribute 'StartDiscovery'
[abrt] blueman-1.23-5.fc18: DeviceList.py:445:DiscoverDevices:AttributeError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:0b834b263f1d1ace7d0bc492a33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-15 13:17 EST by Aleksey
Modified: 2014-04-17 01:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:31:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (869 bytes, text/plain)
2013-01-15 13:17 EST, Aleksey
no flags Details
File: core_backtrace (498 bytes, text/plain)
2013-01-15 13:18 EST, Aleksey
no flags Details
File: environ (2.82 KB, text/plain)
2013-01-15 13:18 EST, Aleksey
no flags Details

  None (edit)
Description Aleksey 2013-01-15 13:17:56 EST
Version-Release number of selected component:
blueman-1.23-5.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/blueman-browse
executable:     /usr/bin/blueman-browse
kernel:         3.7.1-2.fc18.x86_64
uid:            1000

Truncated backtrace:
DeviceList.py:445:DiscoverDevices:AttributeError: 'NoneType' object has no attribute 'StartDiscovery'

Traceback (most recent call last):
  File "/usr/bin/blueman-browse", line 99, in <module>
    Browse()
  File "/usr/bin/blueman-browse", line 54, in __init__
    dev = self.select_device()
  File "/usr/bin/blueman-browse", line 83, in select_device
    d = DeviceSelectorDialog()
  File "/usr/lib/python2.7/site-packages/blueman/gui/DeviceSelectorDialog.py", line 56, in __init__
    self.selector.List.DiscoverDevices()
  File "/usr/lib/python2.7/site-packages/blueman/gui/DeviceList.py", line 445, in DiscoverDevices
    self.Adapter.StartDiscovery()
AttributeError: 'NoneType' object has no attribute 'StartDiscovery'

Local variables in innermost frame:
self: <DeviceSelectorList object at 0x1a92820 (blueman+gui+DeviceList+DeviceList at 0x1b022c0)>
time: 10.24

Potential duplicate: bug 838262
Comment 1 Aleksey 2013-01-15 13:17:59 EST
Created attachment 678940 [details]
File: backtrace
Comment 2 Aleksey 2013-01-15 13:18:01 EST
Created attachment 678941 [details]
File: core_backtrace
Comment 3 Aleksey 2013-01-15 13:18:03 EST
Created attachment 678942 [details]
File: environ
Comment 4 Juan Manuel Rodriguez 2013-12-09 18:31:57 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.